NXOpen.UF.Drf.CreateWeldSymbol

Drf.CreateWeldSymbol()

Refer to UF_DRF_create_weld_symbol for documentation.

Signature: CreateWeldSymbol(origin3d, leaderAttachType, objectArg, modelPos3d, weldSymbolData)

Parameters:
  • origin3d (list of float) – 3d object origin in absolute coordinates
  • leaderAttachType (NXOpen.UF.Drf.LeaderAttachType Refer to UF_DRF_leader_attach_type_e for documentation.) – Leader attachment type UF_DRF_leader_attach_object = attached to object UF_DRF_leader_attach_screen = screen position
  • objectArg (NXOpen.UF.Drf.Object Refer to UF_DRF_object_s for documentation.) – Data of object to attach leader (see uf_drf_types.h). Valid object types: point, line, arc, conic, cubic spline, B curve, and solid curve.
  • modelPos3d (list of float) – 3d model space position if leader_attach_type = UF_DRF_leader_attach_object This position is used as an approximate point on the object to attach the leader if leader_attach_type = UF_DRF_leader_attach_screen, This position is the endpoint of the leader
  • weldSymbolData (NXOpen.UF.Drf.WeldSymbols Refer to UF_DRF_weld_symbols_s for documentation.) – pointer to the weld symbol structure
Returns:

tag of the weld symbol created

Return type:

Tag

License requirements: DRAFTING